import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An object that's doing an act
 * 
 * @author Folkert van Verseveld 
 * @version 0.0.2
 */
public class Bear  extends AnimatedActor
{
    private static final int MOVE_LEFT = 0;
    private static final int MOVE_RIGHT = 1;
    private static int direction = MOVE_RIGHT;
    private static final int images = 2;
    public Bear()
    {
        super("images/acts/bear-", ".png", images);
    }
    
    /**
     * Do whatever the Seal wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act();
        move();
    }
    
    public void move()
    {
        if (direction == MOVE_RIGHT)
        {
            if (getX() < 544)
            {
                setLocation(getX() + 2, getY());
            }
            else
            {
                direction = MOVE_LEFT;
                imagesMirrorHorizontally();
            }
        }
        else
        {
            if (getX() > 128)
            {
                setLocation(getX() - 2, getY());
            }
            else
            {
                direction = MOVE_RIGHT;
                imagesMirrorHorizontally();
            }
        }
    }
}
