import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A dead balloon.
 * 
 * @author Folkert van Verseveld 
 * @version 0.0.2
 */
public class DeadBalloon  extends AnimatedActor
{
    public DeadBalloon(String deadImages)
    {
        super(deadImages, ".png", 2);
        Greenfoot.playSound("pop.wav");
    }
    
    /**
     * Act - do whatever the DeadBalloon wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act();
        if (currentImage >= 1)
        {
            getWorld().removeObject(this);
        }
    }    
}
