import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A light that can be turned on or off.
 * 
 * @author Folkert van Verseveld 
 * @version 0.0.2
 */
public class Light  extends ImagesActor
{
    public Light(int image)
    {
        super("images/title/light-", ".png", 2);
        animate(image);
    }
    
    public void setLight(int image)
    {
        animate(image);
    }
}
