import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The button were you can set if there are barriers or not.
 * 
 * @author Folkert van Verseveld 
 * @version 0.0.2
 */
public class BarrierButton  extends MenuButton
{
    private static Light light;
    public BarrierButton(Light light)
    {
        super(224, 24, 0, 97);
        this.light = light;
    }
    /**
     * Act - do whatever the BarrierButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act();
    }
    
    public void selectListener()
    {
        ((MenuWorld)getWorld()).barriers = (((MenuWorld)getWorld()).barriers == true) ? false : true;
        String i = (((MenuWorld)getWorld()).barriers == true) ? "teeter1.wav" : "teeter2.wav";
        Greenfoot.playSound("sounds/" + i);
        light.setLight(1);
    }
}
